ch.qos.logback.access.net

## Class AccessEventPreSerializationTransformer

- java.lang.Object
- - ch.qos.logback.access.net.AccessEventPreSerializationTransformer

All Implemented Interfaces:
  PreSerializationTransformer<IAccessEvent>

    public class AccessEventPreSerializationTransformer
    extends Object
    implements PreSerializationTransformer<IAccessEvent>

### Constructor Summary

Constructors
Constructor and Description
`AccessEventPreSerializationTransformer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Serializable` `transform(IAccessEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessEventPreSerializationTransformer

    public AccessEventPreSerializationTransformer()

### Method Detail

#### transform

    public Serializable transform(IAccessEvent event)

Specified by:
  `transform` in interface `PreSerializationTransformer<IAccessEvent>`